package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjJygjInfo;

/**
 * 设计信息-井眼轨迹信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-26
 */
public interface SjJygjInfoMapper 
{
    /**
     * 查询设计信息-井眼轨迹信息
     * 
     * @param id 设计信息-井眼轨迹信息主键
     * @return 设计信息-井眼轨迹信息
     */
    public SjJygjInfo selectSjJygjInfoById(Long id);

    /**
     * 查询设计信息-井眼轨迹信息列表
     * 
     * @param sjJygjInfo 设计信息-井眼轨迹信息
     * @return 设计信息-井眼轨迹信息集合
     */
    public List<SjJygjInfo> selectSjJygjInfoList(SjJygjInfo sjJygjInfo);

    /**
     * 新增设计信息-井眼轨迹信息
     * 
     * @param sjJygjInfo 设计信息-井眼轨迹信息
     * @return 结果
     */
    public int insertSjJygjInfo(SjJygjInfo sjJygjInfo);

    /**
     * 修改设计信息-井眼轨迹信息
     * 
     * @param sjJygjInfo 设计信息-井眼轨迹信息
     * @return 结果
     */
    public int updateSjJygjInfo(SjJygjInfo sjJygjInfo);

    /**
     * 删除设计信息-井眼轨迹信息
     * 
     * @param id 设计信息-井眼轨迹信息主键
     * @return 结果
     */
    public int deleteSjJygjInfoById(Long id);

    /**
     * 批量删除设计信息-井眼轨迹信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjJygjInfoByIds(Long[] ids);
}
